class CvtermController < ApplicationController
  # GET /cvterms
  # GET /cvterms.json
  def index
    @cvterms = Cvterm.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @cvterms }
    end
  end

  # GET /cvterms/1
  # GET /cvterms/1.json
  def show
    @cvterm = Cvterm.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render :json => @cvterm }
    end
  end

  # GET /cvterms/new
  # GET /cvterms/new.json
  def new
    @cvterm = Cvterm.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render :json => @cvterm }
    end
  end

  # GET /cvterms/1/edit
  def edit
    @cvterm = Cvterm.find(params[:id])
  end

  # POST /cvterms
  # POST /cvterms.json
  def create
    @cvterm = Cvterm.new(params[:cvterm])

    respond_to do |format|
      if @cvterm.save
        format.html { redirect_to @cvterm, :notice => 'Cvterm was successfully created.' }
        format.json { render :json => @cvterm, :status => :created, :location => @cvterm }
      else
        format.html { render :action => "new" }
        format.json { render :json => @cvterm.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /cvterms/1
  # PUT /cvterms/1.json
  def update
    @cvterm = Cvterm.find(params[:id])

    respond_to do |format|
      if @cvterm.update_attributes(params[:cvterm])
        format.html { redirect_to @cvterm, :notice => 'Cvterm was successfully updated.' }
        format.json { head :no_content }
      else
        format.html { render :action => "edit" }
        format.json { render :json => @cvterm.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /cvterms/1
  # DELETE /cvterms/1.json
  def destroy
    @cvterm = Cvterm.find(params[:id])
    @cvterm.destroy

    respond_to do |format|
      format.html { redirect_to cvterms_url }
      format.json { head :no_content }
    end
  end
end
